Last Comment Bug 528284 - Intermittent failure in js1_5/extensions/regress-371636.js | Numeric sort performance Expected value '(tint/tstr < 3)=true', Actual value '(tint/tstr < 3)=false'
: Intermittent failure in js1_5/extensions/regress-371636.js | Numeric sort per...
Status: RESOLVED FIXED
[test disabled]
: intermittent-failure
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: mozilla1.9.3a1
Assigned To: Bob Clary [:bc:]
:
Mentors:
: 536298 (view as bug list)
Depends on: 712837
Blocks: 438871
  Show dependency treegraph
 
Reported: 2009-11-12 12:00 PST by Bob Clary [:bc:]
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
bob: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Bob Clary [:bc:] 2009-11-12 12:00:25 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258048503.1258054126.7653.gz

REFTEST TEST-UNEXPECTED-FAIL |
file:///e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_5/extensions/regress-371636.js
| Numeric sort performance Expected value '(tint/tstr < 3)=true', Actual value
'(tint/tstr < 3)=false'  item 1
Comment 1 Phil Ringnalda (:philor) 2009-11-12 20:50:18 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258081555.1258086853.21997.gz#err2
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/12 19:05:55
Comment 2 Phil Ringnalda (:philor) 2009-11-12 21:06:15 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258070062.1258077904.19636.gz#err10
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/12 15:54:22
Comment 4 Phil Ringnalda (:philor) 2009-11-14 14:54:13 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258234706.1258237662.16336.gz
WINNT 5.2 mozilla-central test everythingelse on 2009/11/14 13:38:26
"s: moz2-win32-slave09"
REFTEST TEST-UNEXPECTED-FAIL | file:///E:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_5/extensions/regress-371636.js | Numeric sort performance Expected value '(tint/tstr < 3)=true', Actual value '(tint/tstr < 3)=false'  item 1

Apparently it's a touch random for Windows non-debug, too.
Comment 5 Phil Ringnalda (:philor) 2009-11-15 09:30:53 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258302559.1258304921.1925.gz
WINNT 5.2 mozilla-central test everythingelse on 2009/11/15 08:29:19
"s: moz2-win32-slave28"
Comment 7 Phil Ringnalda (:philor) 2009-11-18 22:17:21 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258606944.1258609556.30031.gz
WINNT 5.2 mozilla-central test everythingelse on 2009/11/18 21:02:24
"s: moz2-win32-slave26"
Comment 9 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-11-19 14:31:04 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258663206.1258667421.17300.gz
WINNT 5.2 mozilla-central test everythingelse on 2009/11/19 12:40:06  
"s: moz2-win32-slave34"
REFTEST TEST-UNEXPECTED-FAIL | file:///e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_5/extensions/regress-371636.js | Numeric sort performance Expected value '(tint/tstr < 3)=true', Actual value '(tint/tstr < 3)=false'  item 1


So this still seems to be happening.  Reopening.
Comment 10 Bob Clary [:bc:] 2009-11-19 14:45:12 PST
that looks like opt. I have a patch I am testing along with the other oranges to mark this random for opt and debug windows. I'll land it later this evening.
Comment 11 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-11-19 21:13:46 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258689499.1258691787.1000.gz
WINNT 5.2 mozilla-central test everythingelse on 2009/11/19 19:58:19
"s: moz2-win32-slave16"
REFTEST TEST-UNEXPECTED-FAIL | file:///e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/jsreftest/tests/jsreftest.html?test=js1_5/extensions/regress-371636.js | Numeric sort performance Expected value '(tint/tstr < 3)=true', Actual value '(tint/tstr < 3)=false'  item 1
Comment 12 Bob Clary [:bc:] 2009-11-20 00:21:23 PST
http://hg.mozilla.org/mozilla-central/rev/4c661affa445
http://hg.mozilla.org/tracemonkey/rev/23872e834580

mark random on windows for opt/debug.
Comment 13 Jesse Ruderman 2010-01-08 18:13:55 PST
Looks like this was incorrectly marked as fixed when the test was disabled.
Comment 14 Phil Ringnalda (:philor) 2010-05-26 19:38:49 PDT
*** Bug 536298 has been marked as a duplicate of this bug. ***
Comment 15 Phil Ringnalda (:philor) 2010-05-26 19:42:17 PDT
Which would explain why I filed a duplicate of it last December (though not why we're suddenly seeing new Linux failures today).

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274208621.1274209164.18963.gz
Linux mozilla-central opt test jsreftest, Started 14:50, finished 15:00, took
11mins
s: moz2-linux-slave27
REFTEST TEST-UNEXPECTED-FAIL |
file:///builds/slave/mozilla-central-linux-opt-unittest-jsreftest/build/jsreftest/tests/jsreftest.html?test=js1_5/extensions/regress-371636.js
| Numeric sort performance Expected value '(tint/tstr < 3)=true', Actual value
'(tint/tstr < 3)=false'  item 1

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274916627.1274919969.24528.gz
Linux mozilla-central debug test jsreftest, Started 16:30, finished 17:27, took
57mins
s: moz2-linux-slave01
REFTEST TEST-UNEXPECTED-FAIL |
file:///builds/moz2_slave/mozilla-central-linux-debug-unittest-jsreftest/build/jsreftest/tests/jsreftest.html?test=js1_5/extensions/regress-371636.js
| Numeric sort performance Expected value '(tint/tstr < 3)=true', Actual value
'(tint/tstr < 3)=false'  item 1
Comment 16 Treeherder Robot 2010-05-26 19:43:04 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274926671.1274927210.22841.gz
Linux mozilla-central opt test jsreftest, Started 19:17, finished 19:27, took 10mins

s: moz2-linux-slave26
REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/mozilla-central-linux-opt-unittest-jsreftest/build/jsreftest/tests/jsreftest.html?test=js1_5/extensions/regress-371636.js | Numeric sort performance Expected value '(tint/tstr < 3)=true', Actual value '(tint/tstr < 3)=false'  item 1
Comment 17 Phil Ringnalda (:philor) 2011-12-26 18:09:51 PST
Pretty thoroughly fixed by bug 712837, though.

Note You need to log in before you can comment on or make changes to this bug.